cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jörg Heinicke" <Joerg.Heini...@gmx.de>
Subject Re: [Vote] Cowarp, auth-fw and session-fw in 2.2
Date Fri, 09 Jun 2006 11:41:48 GMT
> Von: Carsten Ziegeler
> 
> As both, auth-fw and session-fw are really out dated and as cowarp is a
> better implementation of the auth-fw, I propose to:
> a) deprecate auth-fw and session-fw in 2.1.x

+0 (Deprecating them in 2.1 does not really matter as we have not released 2.2 yet.)

> b) remove auth-fw and session-fw in 2.2

-1 see below

> c) add cowarp as an own block to 2.2

+1

> I know that we should deprecate in 2.1.x, leave things in 2.2 and remove
> them in 2.3 or 3.0; but in this case I think it's much better to remove
> them right away in 2.2 as people should really not use it.

IMO we should let it in 2.2 as it otherwise highers the barrier to migrate an application
to 2.2. In theory switching to 2.2 (or the next minor version in general) should be as easy
as setting some properties. (With the change to the new Maven build adopting the local build
system might be difficult enough.) But there should be no enforcement to change the application
itself. Instead it should be possible to replace deprecated stuff with recommended stuff step
by step and one after another.

Jörg
-- 


Echte DSL-Flatrate dauerhaft für 0,- Euro*!
"Feel free" mit GMX DSL! http://www.gmx.net/de/go/dsl

Mime
View raw message